# coding=utf-8
### 生产者

import pika
import time

user_info = pika.PlainCredentials('user', 'J70e6K7BRrxrU1dO')
connection = pika.BlockingConnection(pika.ConnectionParameters('rabbitmq.rabbitmq.svc.cluster.local', 5672, '/', user_info))#连接服务器上的RabbitMQ服务

# 创建一个channel
channel = connection.channel()

# 如果指定的queue不存在，则会创建一个queue，如果已经存在 则不会做其他动作，官方推荐，每次使用时都可以加上这句
channel.queue_declare(queue='hello')

# # 持久化队列
# # 如果指定的queue不存在，则会创建一个queue，如果已经存在 则不会做其他动作，官方推荐，每次使用时都可以加上这句
# channel.queue_declare(queue='durable_queue',durable=True)

json_str = '{"name": "zhangsan", "age": %d}'

for i in range(0, 10):
    channel.basic_publish(exchange='test',#当前是一个简单模式，所以这里设置为空字符串就可以了
                          routing_key='',# 指定消息要发送到哪个queue
                          body=json_str % i # 指定要发送的消息
                          )
    time.sleep(1)
    
# 关闭连接
# connection.close()

